Author: bgstack15
Source: Original research
Version: 14.3
Date: 2025-03-28
Message: Disable wxUSE_EXCEPTIONS flag to fix FTBFS, and the undef G_GNUC_UNUSED
--- a/FreeFileSync/Source/application.h
+++ b/FreeFileSync/Source/application.h
@@ -13,6 +13,8 @@
 #include "config.h"
 #include "return_codes.h"
 
+// Zenju probably turns this flag off for Windows builds, but the Debian package for wx3.2-headers turns it on. We need to disable it here because a make invocation fails right away unless we turn this flag off.
+#define wxUSE_EXCEPTIONS 0
 
 namespace fff //avoid name clash with "int ffs()" for fuck's sake! (maxOS, Linux issue only: <string> internally includes <strings.h>, WTF!)
 {
--- a/FreeFileSync/Source/RealTimeSync/application.h
+++ b/FreeFileSync/Source/RealTimeSync/application.h
@@ -9,6 +9,7 @@
 
 #include <wx/app.h>
 
+#define wxUSE_EXCEPTIONS 0
 
 namespace rts
 {
